pvrusb2 unstable when hibernating/unplugging/reconnecting device

Bug #121666 reported by dogatemycomputer-old on 2007-06-22
2
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned

Bug Description

I am new to linux (2 months experience?) so please forgive me if this seems wrong. I'm not even sure this is considered a bug?

Brief description of the problem:

I have a Hauppauge WinTV-PVR-USB2 personal video recorder. If I connect the device for the first time and type:

mplayer -framedrop -tv channel=4 /dev/video0

...then it works surprisingly well. If I close the window and unplug/reconnect the device, hibernate, standby, shutdown or reboot then, 99% of the time, it simply stops working. The only solution I could find is this command:

sudo apt-get --assume-yes remove mythtv mythtv-database mysql-server mysql-server-5.0 mythtv-frontend mythtv-backend mythtv-common mythtv-common mysql-client mysql-client-5.0 && sleep 3 && sudo apt-get --assume-yes install mythtv mythtv-database mysql-server mysql-server-5.0 mythtv-frontend mythtv-backend mythtv-common mythtv-common mysql-client mysql-client-5.0 && sleep 10 && mplayer -framedrop -tv channel=4 /dev/video0

If I uninstall all of these packages then install all of these packages then launch mplayer then it will work again. Of course unplugging/reconnecting the device, hibernate, shutting down or rebooting will usually cause the problem to reappear.

I should also note uninstalling/reinstalling these packages individually will not resolve the problem. I have to uninstall and reinstall the entire group of packages for this fix to be successful.

I'm including some information below hoping maybe someone has a solution.

My dmesg output will be last because its so long.

walkerd@linux:~/Desktop$ lspci
00:00.0 Host bridge: Intel Corporation 82Q963/Q965 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82Q963/Q965 PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HB/HR (ICH8/R) LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801H (ICH8 Family) 4 port SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801H (ICH8 Family) 2 port SATA IDE Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Unknown device 7183
01:00.1 Display controller: ATI Technologies Inc Unknown device 71a3
03:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5754 Gigabit Ethernet PCI Express (rev 02)

walkerd@linux:~/Desktop$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: Radeon X1300/X1550 Series
OpenGL version string: 2.0.6334 (8.34.8)

walkerd@linux:~/Desktop$ lsmod | grep -i pvr
pvrusb2 139220 0
cx2341x 12804 1 pvrusb2
videodev 28160 1 pvrusb2
v4l2_common 25216 6 tuner,saa7115,msp3400,pvrusb2,cx2341x,videodev
v4l1_compat 15236 2 pvrusb2,videodev
tveeprom 15888 1 pvrusb2
i2c_core 22656 6 i2c_ec,tuner,saa7115,msp3400,pvrusb2,tveeprom
usbcore 134280 8 ipaq,usbserial,usblp,pvrusb2,usbhid,uhci_hcd,ehci_hcd
walkerd@linux:~/Desktop$

walkerd@linux:~/Desktop$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 7.04
Release: 7.04
Codename: feisty

walkerd@linux:~/Desktop$ uname -a
Linux linux 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

walkerd@linux:~/Desktop$ sudo apt-get --assume-yes remove mythtv mythtv-database mysql-server mysql-server-5.0 mythtv-frontend mythtv-backend mythtv-common mythtv-common mysql-client mysql-client-5.0 && sleep 3 && sudo apt-get --assume-yes install mythtv mythtv-database mysql-server mysql-server-5.0 mythtv-frontend mythtv-backend mythtv-common mythtv-common mysql-client mysql-client-5.0 && sleep 10 && mplayer -framedrop -tv channel=4 /dev/video0
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  knetwalk kpat kde-amusements ksokoban kolf pwgen libfreebob0 blinken krec kscd kshisen kmoon kmahjongg ksim kjumpingcube kdeartwork-style kdeartwork-misc artsbuilder kdessh kanagram ktip libpth20 knode kmrml katomic libcvsservice0 kleopatra kdegames-card-data kruler libmyth-0.20 libdc1394-13 ktux klettres module-assistant kgoldrunner
  kbackgammon kpoker dirmngr libiec61883-0 libkiten1 libnet-daemon-perl kenolaba libqt3-mt-mysql liburi-perl kblackbox libfame-0.9 kdebase atlantikdesigner konsolekalendar klatin kfloppy kstars ttf-dustin ksame kbruch kpager libdbi-perl libpvm3 libdbd-mysql-perl libkdegames1 smbfs libjack0.100.0-0 kde-core kcalc libhtml-parser-perl keduca
  libpostproc0d kdeedu-data kdemultimedia-kappfinder-data kdeartwork-theme-icon kmplot kweather kalzium ntp-simple librss1 klinkstatus klickety noatun-plugins kworldclock mpeglib kalzium-data kdewebdev kdegames kicker-applets libplrpc-perl ktouch kbounce kvoctrain kdetoys kimagemapeditor atlantik tidy libtidy-0.99-0 kwordquiz kview libdb4.3++c2
  ktron ttf-sjfonts ksync cvs libtiff-tools libavc1394-0 kdeartwork-emoticons dcoprss kwin4 kdewallpapers kuser klettres-data kreversi kdf libksba8 kspaceduel kig gnupg-agent juk noatun klines fifteenapplet kdemultimedia libmjpegtools0c2a kstars-data edict lskat libarts1-mpeglib kaddressbook-plugins kgamma kviewshell transcode ntp kfilereplace
  kommander libgsm1 kaboodle khangman libindex0 kanjidic kdeartwork-theme-window ksmiletris libarts1-audiofile kxsldbg quanta libavcodec0d kbattleship kiconedit kasteroids kfouleggs libconfig-inifiles-perl libkdeedu3 libkgantt0 knewsticker libhtml-tree-perl ksnake kdelibs kiten kappfinder eyesapplet libwww-perl indi kdeedu kpercentage v4l-conf
  libquicktime0 ksirtet kmines pinentry-qt libhtml-tagset-perl libgtkglext1 kgpg konquest kate-plugins libboost-python1.33.1 kolourpaint dpatch gpgsm gnupg2 kitchensync kdeaddons-kfile-plugins libarts1-xine ktuberling kturtle kaudiocreator quanta-data kmid kteatime kverbos kdeartwork kodo liba52-0.7.4
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  mysql-client mysql-client-5.0 mysql-server mysql-server-5.0 mythtv mythtv-backend mythtv-common mythtv-database mythtv-frontend
0 upgraded, 0 newly installed, 9 to remove and 0 not upgraded.
Need to get 0B of archives.
After unpacking 103MB disk space will be freed.
(Reading database ... 137751 files and directories currently installed.)
Removing mysql-client ...
Removing mythtv ...
Removing mysql-server ...
Removing mysql-server-5.0 ...
 * Stopping MySQL database server mysqld [ OK ]
Removing mythtv-database ...
Removing mythtv-frontend ...
Removing mythtv-backend ...
Stopping MythTV server: mythbackend .
Removing mythtv-common ...
Removing mysql-client-5.0 ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  knetwalk kpat kde-amusements ksokoban kolf blinken krec kscd kshisen kmoon kmahjongg ksim kjumpingcube kdeartwork-style kdeartwork-misc artsbuilder kdessh kanagram ktip libpth20 knode kmrml katomic libcvsservice0 kleopatra kdegames-card-data kruler ktux klettres module-assistant kgoldrunner kbackgammon kpoker dirmngr libkiten1 kenolaba
  liburi-perl kblackbox kdebase atlantikdesigner konsolekalendar klatin kfloppy kstars ttf-dustin ksame kbruch kpager libkdegames1 smbfs kde-core kcalc libhtml-parser-perl keduca kdeedu-data kdemultimedia-kappfinder-data kdeartwork-theme-icon kmplot kweather kalzium librss1 klinkstatus klickety noatun-plugins kworldclock mpeglib kalzium-data
  kdewebdev kdegames kicker-applets ktouch kbounce kvoctrain kdetoys kimagemapeditor atlantik tidy libtidy-0.99-0 kwordquiz kview libdb4.3++c2 ktron ttf-sjfonts ksync cvs libtiff-tools kdeartwork-emoticons dcoprss kwin4 kdewallpapers kuser klettres-data kreversi kdf libksba8 kspaceduel kig gnupg-agent juk noatun klines fifteenapplet kdemultimedia
  kstars-data edict lskat libarts1-mpeglib kaddressbook-plugins kgamma kviewshell kfilereplace kommander kaboodle khangman libindex0 kanjidic kdeartwork-theme-window ksmiletris libarts1-audiofile kxsldbg quanta kbattleship kiconedit kasteroids kfouleggs libconfig-inifiles-perl libkdeedu3 libkgantt0 knewsticker libhtml-tree-perl ksnake kdelibs
  kiten kappfinder eyesapplet libwww-perl indi kdeedu kpercentage v4l-conf ksirtet kmines pinentry-qt libhtml-tagset-perl libgtkglext1 kgpg konquest kate-plugins libboost-python1.33.1 kolourpaint dpatch gpgsm gnupg2 kitchensync kdeaddons-kfile-plugins libarts1-xine ktuberling kturtle kaudiocreator quanta-data kmid kteatime kverbos kdeartwork kodo
Use 'apt-get autoremove' to remove them.
Suggested packages:
  tinyca mythweb mythmusic mythweather mythgallery mythdvd mythvideo mythgame
Recommended packages:
  mailx mythtv-doc mythtv-themes xmltv-util
The following NEW packages will be installed:
  mysql-client mysql-client-5.0 mysql-server mysql-server-5.0 mythtv mythtv-backend mythtv-common mythtv-database mythtv-frontend
0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/41.0MB of archives.
After unpacking 103MB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package mysql-client-5.0.
(Reading database ... 135436 files and directories currently installed.)
Unpacking mysql-client-5.0 (from .../mysql-client-5.0_5.0.38-0ubuntu1_i386.deb) ...
Selecting previously deselected package mysql-server-5.0.
Unpacking mysql-server-5.0 (from .../mysql-server-5.0_5.0.38-0ubuntu1_i386.deb) ...
Selecting previously deselected package mysql-client.
Unpacking mysql-client (from .../mysql-client_5.0.38-0ubuntu1_all.deb) ...
Selecting previously deselected package mysql-server.
Unpacking mysql-server (from .../mysql-server_5.0.38-0ubuntu1_all.deb) ...
 * Stopping MySQL database server mysqld [ OK ]
Selecting previously deselected package mythtv-common.
Unpacking mythtv-common (from .../mythtv-common_0.20-svn20070122-0.0ubuntu6_all.deb) ...
Selecting previously deselected package mythtv-database.
Unpacking mythtv-database (from .../mythtv-database_0.20-svn20070122-0.0ubuntu6_all.deb) ...
Selecting previously deselected package mythtv-frontend.
Unpacking mythtv-frontend (from .../mythtv-frontend_0.20-svn20070122-0.0ubuntu6_i386.deb) ...
Selecting previously deselected package mythtv-backend.
Unpacking mythtv-backend (from .../mythtv-backend_0.20-svn20070122-0.0ubuntu6_i386.deb) ...
Selecting previously deselected package mythtv.
Unpacking mythtv (from .../mythtv_0.20-svn20070122-0.0ubuntu6_all.deb) ...
Setting up mysql-client-5.0 (5.0.38-0ubuntu1) ...
Setting up mysql-server-5.0 (5.0.38-0ubuntu1) ...
 * Stopping MySQL database server mysqld [ OK ]
 * Starting MySQL database server mysqld [ OK ]
 * Checking for corrupt, not cleanly closed and upgrade needing tables.

Setting up mysql-client (5.0.38-0ubuntu1) ...
Setting up mysql-server (5.0.38-0ubuntu1) ...
Setting up mythtv-common (0.20-svn20070122-0.0ubuntu6) ...

Setting up mythtv-database (0.20-svn20070122-0.0ubuntu6) ...

Setting up mythtv-frontend (0.20-svn20070122-0.0ubuntu6) ...

Setting up mythtv-backend (0.20-svn20070122-0.0ubuntu6) ...
udev active, devices will be created in /dev/.static/dev/
Starting MythTV server: mythbackend .

Setting up mythtv (0.20-svn20070122-0.0ubuntu6) ...
MPlayer 1.0rc1-4.1.2 (C) 2000-2006 MPlayer Team
CPU: Intel(R) Core(TM)2 CPU 6300 @ 1.86GHz (Family: 6, Model: 15, Stepping: 6)
CPUflags: MMX: 1 MMX2: 1 3DNow: 0 3DNow2: 0 SSE: 1 SSE2: 1
Compiled for x86 CPU with extensions: MMX MMX2 SSE SSE2

Playing /dev/video0.
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Win32 LoadLibrary failed to load: avisynth.dll, /usr/lib/win32/avisynth.dll, /usr/local/lib/win32/avisynth.dll
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
Cannot seek backward in linear streams!
Seek failed
MPEG-PS file format detected.
VIDEO: MPEG2 720x480 (aspect 2) 29.970 fps 8000.0 kbps (1000.0 kbyte/s)
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 720 x 480 (preferred colorspace: Mpeg PES)
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm: libmpeg2 (MPEG-1 or 2 (libmpeg2))
==========================================================================
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
AUDIO: 48000 Hz, 2 ch, s16le, 224.0 kbit/14.58% (ratio: 28000->192000)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...
VDec: vo config request - 720 x 480 (preferred colorspace: Planar YV12)
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.33:1 - prescaling to correct movie aspect.
SwScaler: using unscaled yuv420p -> bgr24 special converter
VO: [gl2] 720x480 => 720x540 BGR 24-bit
[gl2] You have OpenGL >= 1.2 capable drivers, GOOD (16bpp and BGR is ok!)
[gl2] antialiasing off
[gl2] bilinear linear
A: 6.4 V: 6.4 A-V: -0.001 ct: -0.511 160/160 9% 16% 0.4% 6 0
Exiting... (Quit)
walkerd@linux:~/Desktop$

dmesg after returning from hibernation:

28.341089] ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 19
[ 28.341094] PCI: Setting latency timer of device 0000:00:1d.7 to 64
[ 28.341135] usb usb7: root hub lost power or was reset
[ 28.345020] ehci_hcd 0000:00:1d.7: debug port 1
[ 28.345025] PCI: cache line size of 32 is not supported by device 0000:00:1d.7
[ 28.345028] pci 0000:00:1e.0: resuming
[ 28.345059] PCI: Setting latency timer of device 0000:00:1e.0 to 64
[ 28.345062] pci 0000:00:1f.0: resuming
[ 28.345099] ata_piix 0000:00:1f.2: resuming
[ 28.345117] PM: Writing back config space on device 0000:00:1f.2 at offset 1 (was 2b00003, writing 2b00007)
[ 28.345130] ACPI: PCI Interrupt 0000:00:1f.2[C] -> GSI 20 (level, low) -> IRQ 21
[ 28.345134] PCI: Setting latency timer of device 0000:00:1f.2 to 64
[ 28.345145] ata1: ACPI set timing mode failed.
[ 28.351691] pci 0000:00:1f.3: resuming
[ 28.351710] ata_piix 0000:00:1f.5: resuming
[ 28.351728] PM: Writing back config space on device 0000:00:1f.5 at offset 1 (was 2b00001, writing 2b00005)
[ 28.351740] ACPI: PCI Interrupt 0000:00:1f.5[C] -> GSI 20 (level, low) -> IRQ 21
[ 28.351745] PCI: Setting latency timer of device 0000:00:1f.5 to 64
[ 28.351916] fglrx_pci 0000:01:00.0: resuming
[ 28.351932] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
[ 28.351936] PCI: Setting latency timer of device 0000:01:00.0 to 64
[ 28.351970] [fglrx] firegl_gps_setpowerup .
[ 28.638888] pci 0000:01:00.1: resuming
[ 28.638917] pci 0000:03:00.0: resuming
[ 28.638958] PM: Writing back config space on device 0000:03:00.0 at offset 1 (was 100006, writing 100002)
[ 28.638995] pnp 00:00: resuming
[ 28.638997] system 00:01: resuming
[ 28.638998] pnp 00:02: resuming
[ 28.638999] pnp 00:03: resuming
[ 28.639000] pnp 00:04: resuming
[ 28.639002] pnp 00:05: resuming
[ 28.639003] parport_pc 00:06: resuming
[ 28.659265] pnp: Device 00:06 activated.
[ 28.659268] serial 00:07: resuming
[ 28.670811] pnp: Device 00:07 activated.
[ 28.670814] system 00:08: resuming
[ 28.670815] system 00:09: resuming
[ 28.670817] pnp 00:0a: resuming
[ 28.670820] pcspkr pcspkr: resuming
[ 28.670822] pci_express 0000:00:01.0:pcie00: resuming
[ 28.670824] pci_express 0000:00:1c.0:pcie00: resuming
[ 28.670825] pci_express 0000:00:1c.0:pcie02: resuming
[ 28.670827] pci_express 0000:00:1c.4:pcie00: resuming
[ 28.670828] pci_express 0000:00:1c.4:pcie02: resuming
[ 28.670894] serial8250 serial8250: resuming
[ 28.670898] i8042 i8042: resuming
[ 28.671279] serio serio0: resuming
[ 28.671281] platform eisa.0: resuming
[ 28.671283] serio serio1: resuming
[ 28.671285] platform vesafb.0: resuming
[ 28.671287] usb usb1: resuming
[ 28.704644] hub 1-0:1.0: resuming
[ 28.704646] usb usb2: resuming
[ 28.745000] usb usb3: resuming
[ 28.785377] hub 3-0:1.0: resuming
[ 28.785379] usb usb4: resuming
[ 28.825713] usb usb5: resuming
[ 28.866049] hub 5-0:1.0: resuming
[ 28.866051] usb usb6: resuming
[ 28.906446] hub 6-0:1.0: resuming
[ 28.906448] usb usb7: resuming
[ 28.942550] sd 0:0:0:0: resuming
[ 28.942557] sr 1:0:0:0: resuming
[ 28.942561] platform iTCO_wdt: resuming
[ 28.942568] usb 1-3: resuming
[ 28.942570] usbdev1.7_ep00: PM: resume from 0, parent 1-3 still 1
[ 28.942573] pvrusb2 1-3:1.0: PM: resume from 1, parent 1-3 still 1
[ 28.942575] pvrusb2 1-3:1.0: resuming
[ 28.942577] usbdev1.7_ep81: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942579] usbdev1.7_ep84: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942581] usbdev1.7_ep88: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942584] usbdev1.7_ep01: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942586] usbdev1.7_ep02: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942588] usbdev1.7_ep86: PM: resume from 0, parent 1-3:1.0 still 1
[ 28.942591] i2c_adapter i2c-0: PM: resume from 0, parent 1-3 still 1
[ 28.942593] tveeprom 0-0050: resuming
[ 28.942595] msp3400 0-0040: resuming
[ 28.942598] usbdev7.9_ep00: PM: resume from 0, parent 7-5 still 2
[ 28.942601] saa7115 0-0021: resuming
[ 28.942602] tuner 0-0043: resuming
[ 28.942608] pvrusb2: Failed to submit write-control URB status=-19
[ 28.942611] tda9887 0-0043: i2c i/o error: rc == -5 (should be 4)
[ 28.942613] tuner 0-0061: resuming
[ 28.942619] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.942621] tda9887 0-0043: i2c i/o error: rc == -5 (should be 4)
[ 28.942623] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.942625] tuner 0-0061: i2c i/o error: rc == -5 (should be 4)
[ 28.942627] usb 3-2: resuming
[ 28.942630] usbdev3.3_ep00: PM: resume from 0, parent 3-2 still 1
[ 28.942632] usblp 3-2:1.0: PM: resume from 1, parent 3-2 still 1
[ 28.942634] usblp 3-2:1.0: resuming
[ 28.942635] usb 5-2: resuming
[ 28.942637] usbdev5.8_ep00: PM: resume from 0, parent 5-2 still 1
[ 28.942639] hub 5-2:1.0: PM: resume from 1, parent 5-2 still 1
[ 28.942641] hub 5-2:1.0: resuming
[ 28.942643] usbdev5.8_ep81: PM: resume from 0, parent 5-2:1.0 still 1
[ 28.942645] usb 5-2.1: PM: resume from 1, parent 5-2 still 1
[ 28.942647] usb 5-2.1: resuming
[ 28.942649] usbdev5.9_ep00: PM: resume from 0, parent 5-2.1 still 1
[ 28.942651] usbhid 5-2.1:1.0: PM: resume from 1, parent 5-2.1 still 1
[ 28.942653] usbhid 5-2.1:1.0: resuming
[ 28.942655] usbdev5.9_ep81: PM: resume from 0, parent 5-2.1:1.0 still 1
[ 28.942657] usbhid 5-2.1:1.1: PM: resume from 1, parent 5-2.1 still 1
[ 28.942659] usbhid 5-2.1:1.1: resuming
[ 28.942661] usbdev5.9_ep83: PM: resume from 0, parent 5-2.1:1.1 still 1
[ 28.942663] usb 6-2: resuming
[ 28.942665] usbdev6.2_ep00: PM: resume from 0, parent 6-2 still 1
[ 28.942667] ipaq 6-2:1.0: PM: resume from 1, parent 6-2 still 1
[ 28.942669] ipaq 6-2:1.0: resuming
[ 28.942671] usbdev6.2_ep81: PM: resume from 0, parent 6-2:1.0 still 1
[ 28.942673] usbdev6.2_ep02: PM: resume from 0, parent 6-2:1.0 still 1
[ 28.942676] ipaq ttyUSB0: PM: resume from 0, parent 6-2:1.0 still 1
[ 28.944399] Restarting tasks ... <6>pvrusb2: Attempted to execute control transfer when device not ok
[ 28.944487] msp3400 0-0040: chip reset failed
[ 28.944531] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.944533] msp3400 0-0040: I/O error #0 (write 0x10/0x40)
[ 28.958536] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.958541] msp3400 0-0040: I/O error #1 (write 0x10/0x40)
[ 28.970510] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.970514] msp3400 0-0040: I/O error #2 (write 0x10/0x40)
[ 28.982511] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 28.982518] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.982520] msp3400 0-0040: chip reset failed
[ 28.982567] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.982569] msp3400 0-0040: I/O error #0 (write 0x10/0x30)
[ 28.994470] pvrusb2: Attempted to execute control transfer when device not ok
[ 28.994473] msp3400 0-0040: I/O error #1 (write 0x10/0x30)
[ 29.006448] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.006451] msp3400 0-0040: I/O error #2 (write 0x10/0x30)
[ 29.018425] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.018428] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.018430] msp3400 0-0040: chip reset failed
[ 29.018474] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.018476] msp3400 0-0040: I/O error #0 (write 0x12/0x08)
[ 29.030407] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.030411] msp3400 0-0040: I/O error #1 (write 0x12/0x08)
[ 29.042390] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.042393] msp3400 0-0040: I/O error #2 (write 0x12/0x08)
[ 29.054367] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.054370] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.054372] msp3400 0-0040: chip reset failed
[ 29.054416] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.054418] msp3400 0-0040: I/O error #0 (write 0x12/0x0c)
[ 29.066343] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.066346] msp3400 0-0040: I/O error #1 (write 0x12/0x0c)
[ 29.074353] usb 3-2: USB disconnect, address 3
[ 29.074407] drivers/usb/class/usblp.c: usblp0: removed
[ 29.078332] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.078337] msp3400 0-0040: I/O error #2 (write 0x12/0x0c)
[ 29.090315] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.090322] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.090324] msp3400 0-0040: chip reset failed
[ 29.090371] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.090373] msp3400 0-0040: I/O error #0 (write 0x12/0x09)
[ 29.102291] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.102296] msp3400 0-0040: I/O error #1 (write 0x12/0x09)
[ 29.114269] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.114275] msp3400 0-0040: I/O error #2 (write 0x12/0x09)
[ 29.126244] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.126250] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.126252] msp3400 0-0040: chip reset failed
[ 29.126299] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.126301] msp3400 0-0040: I/O error #0 (write 0x12/0x0a)
[ 29.128127] done.
[ 29.128163] Enabling non-boot CPUs ...
[ 29.138242] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.138247] msp3400 0-0040: I/O error #1 (write 0x12/0x0a)
[ 29.150203] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.150208] msp3400 0-0040: I/O error #2 (write 0x12/0x0a)
[ 29.162178] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.162181] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.162183] msp3400 0-0040: chip reset failed
[ 29.162230] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.162232] msp3400 0-0040: I/O error #0 (write 0x12/0x0b)
[ 29.174159] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.174162] msp3400 0-0040: I/O error #1 (write 0x12/0x0b)
[ 29.186140] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.186143] msp3400 0-0040: I/O error #2 (write 0x12/0x0b)
[ 29.198118] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.198121] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.198123] msp3400 0-0040: chip reset failed
[ 29.198166] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.198168] msp3400 0-0040: I/O error #0 (write 0x12/0x0d)
[ 29.202127] usb 5-2: USB disconnect, address 8
[ 29.202129] usb 5-2.1: USB disconnect, address 9
[ 29.210097] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.210101] msp3400 0-0040: I/O error #1 (write 0x12/0x0d)
[ 29.222074] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.222077] msp3400 0-0040: I/O error #2 (write 0x12/0x0d)
[ 29.230235] SMP alternatives: switching to SMP code
[ 29.230332] Booting processor 1/1 eip 3000
[ 29.240693] Initializing CPU#1
[ 29.318418] Calibrating delay using timer specific routine.. 3724.16 BogoMIPS (lpj=7448321)
[ 29.318424] CPU: After generic identify, caps: bfebfbff 20000000 00000000 00000000 0000e3bd 00000000 00000001
[ 29.318429] monitor/mwait feature present.
[ 29.318431] CPU: L1 I cache: 32K, L1 D cache: 32K
[ 29.318433] CPU: L2 cache: 2048K
[ 29.318435] CPU: Physical Processor ID: 0
[ 29.318436] CPU: Processor Core ID: 1
[ 29.318438] CPU: After all inits, caps: bfebfbff 20000000 00000000 00003940 0000e3bd 00000000 00000001
[ 29.318816] CPU1: Intel(R) Core(TM)2 CPU 6300 @ 1.86GHz stepping 06
[ 29.318838] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.318843] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.318845] msp3400 0-0040: chip reset failed
[ 29.318891] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.318894] msp3400 0-0040: I/O error #0 (write 0x12/0x0e)
[ 29.322702] CPU1 is up
[ 29.333900] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.333907] msp3400 0-0040: I/O error #1 (write 0x12/0x0e)
[ 29.345870] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.345876] msp3400 0-0040: I/O error #2 (write 0x12/0x0e)
[ 29.357866] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.357872] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.357874] msp3400 0-0040: chip reset failed
[ 29.357922] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.357925] msp3400 0-0040: I/O error #0 (write 0x10/0x22)
[ 29.369824] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.369829] msp3400 0-0040: I/O error #1 (write 0x10/0x22)
[ 29.381801] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.381805] msp3400 0-0040: I/O error #2 (write 0x10/0x22)
[ 29.393779] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.393783] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.393786] msp3400 0-0040: chip reset failed
[ 29.393830] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.393833] msp3400 0-0040: I/O error #0 (write 0x10/0x20)
[ 29.405760] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.405763] msp3400 0-0040: I/O error #1 (write 0x10/0x20)
[ 29.417756] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.417760] msp3400 0-0040: I/O error #2 (write 0x10/0x20)
[ 29.429728] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.429732] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.429735] msp3400 0-0040: chip reset failed
[ 29.529547] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.529551] msp3400 0-0040: I/O error #0 (read 0x10/0x7e)
[ 29.541741] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.541746] msp3400 0-0040: I/O error #1 (read 0x10/0x7e)
[ 29.545532] usb 6-2: USB disconnect, address 2
[ 29.545669] ipaq ttyUSB0: PocketPC PDA converter now disconnected from ttyUSB0
[ 29.545686] ipaq 6-2:1.0: device disconnected
[ 29.549803] ata1.00: ata_hpa_resize 1: sectors = 312500000, hpa_sectors = 312500000
[ 29.553552] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.553558] msp3400 0-0040: I/O error #2 (read 0x10/0x7e)
[ 29.561769] ata1.00: ata_hpa_resize 1: sectors = 312500000, hpa_sectors = 312500000
[ 29.561776] ata1.00: configured for UDMA/133
[ 29.565497] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.565502] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.565505] msp3400 0-0040: chip reset failed
[ 29.565553] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.565556] msp3400 0-0040: I/O error #0 (write 0x12/0x00)
[ 29.577471] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.577475] msp3400 0-0040: I/O error #1 (write 0x12/0x00)
[ 29.587049] SCSI device sda: 312500000 512-byte hdwr sectors (160000 MB)
[ 29.589443] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.589448] msp3400 0-0040: I/O error #2 (write 0x12/0x00)
[ 29.601420] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.601424] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.601426] msp3400 0-0040: chip reset failed
[ 29.601471] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.601474] msp3400 0-0040: I/O error #0 (write 0x12/0x07)
[ 29.613400] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.613404] msp3400 0-0040: I/O error #1 (write 0x12/0x07)
[ 29.614410] sda: Write Protect is off
[ 29.614413] sda: Mode Sense: 00 3a 00 00
[ 29.615425] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 29.625402] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.625409] msp3400 0-0040: I/O error #2 (write 0x12/0x07)
[ 29.637361] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.637367] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.637370] msp3400 0-0040: chip reset failed
[ 29.637416] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.637418] msp3400 0-0040: I/O error #0 (write 0x12/0x01)
[ 29.649341] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.649346] msp3400 0-0040: I/O error #1 (write 0x12/0x01)
[ 29.661317] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.661321] msp3400 0-0040: I/O error #2 (write 0x12/0x01)
[ 29.673315] usb 1-3: USB disconnect, address 7
[ 29.673472] pvrusb2: unregistering device video0 [mpeg]
[ 29.673708] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.673711] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.673713] msp3400 0-0040: chip reset failed
[ 29.673759] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.673762] msp3400 0-0040: I/O error #0 (write 0x12/0x02)
[ 29.685282] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.685289] msp3400 0-0040: I/O error #1 (write 0x12/0x02)
[ 29.697342] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.697348] msp3400 0-0040: I/O error #2 (write 0x12/0x02)
[ 29.709244] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.709251] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.709254] msp3400 0-0040: chip reset failed
[ 29.709300] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.709303] msp3400 0-0040: I/O error #0 (write 0x12/0x03)
[ 29.721224] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.721230] msp3400 0-0040: I/O error #1 (write 0x12/0x03)
[ 29.733207] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.733213] msp3400 0-0040: I/O error #2 (write 0x12/0x03)
[ 29.745180] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.745185] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.745187] msp3400 0-0040: chip reset failed
[ 29.745234] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.745236] msp3400 0-0040: I/O error #0 (write 0x12/0x04)
[ 29.757177] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.757181] msp3400 0-0040: I/O error #1 (write 0x12/0x04)
[ 29.769133] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.769137] msp3400 0-0040: I/O error #2 (write 0x12/0x04)
[ 29.781113] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.781117] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.781119] msp3400 0-0040: chip reset failed
[ 29.781165] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.781167] msp3400 0-0040: I/O error #0 (write 0x12/0x13)
[ 29.793095] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.793100] msp3400 0-0040: I/O error #1 (write 0x12/0x13)
[ 29.805074] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.805078] msp3400 0-0040: I/O error #2 (write 0x12/0x13)
[ 29.817052] msp3400 0-0040: giving up, resetting chip. Sound will go off, sorry folks :-|
[ 29.817059] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.817061] msp3400 0-0040: chip reset failed
[ 29.817124] pvrusb2: Attempted to execute control transfer when device not ok
[ 29.817126] msp3400 0-0040: chip reset failed
[ 30.028886] ata2.00: configured for UDMA/33
[ 30.056646] usb 1-3: new high speed USB device using ehci_hcd and address 9
[ 30.189766] usb 1-3: configuration #1 chosen from 1 choice
[ 30.304224] usb 1-3: reset high speed USB device using ehci_hcd and address 9
[ 30.675819] usb 7-5: USB disconnect, address 9
[ 30.915169] usb 7-5: new high speed USB device using ehci_hcd and address 12
[ 31.047359] usb 7-5: configuration #1 chosen from 1 choice
[ 31.047427] hub 7-5:1.0: USB hub found
[ 31.047527] hub 7-5:1.0: 4 ports detected
[ 31.198311] tg3.c:v3.72 (January 8, 2007)
[ 31.198331] ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 16 (level, low) -> IRQ 16
[ 31.198781] PCI: Setting latency timer of device 0000:03:00.0 to 64
[ 31.219624] eth0: Tigon3 [partno(BCM95754) rev b002 PHY(5787)] (PCI Express) 10/100/1000Base-T Ethernet 00:18:8b:56:a3:da
[ 31.219632] eth0: RXcsums[1] LinkChgREG[1] MIirq[1] ASF[0] Split[0] WireSpeed[1] TSOcap[1]
[ 31.219635] eth0: dma_rwctrl[76180000] dma_mask[64-bit]
[ 31.227409] msp3400 0-0040: MSP3445G-B8 found @ 0x80 (pvrusb2_a)
[ 31.227413] msp3400 0-0040: MSP3445G-B8 supports radio, mode is autodetect and autoselect
[ 31.290177] saa7115 0-0021: saa7115 found (1f7115d0e100000) @ 0x42 (pvrusb2_a)
[ 31.556965] tuner 0-0043: chip found @ 0x86 (pvrusb2_a)
[ 31.557006] tda9887 0-0043: tda988[5/6/7] found @ 0x43 (tuner)
[ 31.590006] usb 3-2: new full speed USB device using uhci_hcd and address 4
[ 31.591908] tuner 0-0061: chip found @ 0xc2 (pvrusb2_a)
[ 31.622354] tveeprom 0-0050: Hauppauge model 29032, rev D1A3, serial# 8013975
[ 31.622359] tveeprom 0-0050: tuner model is TCL MFNM05-4 (idx 103, type 43)
[ 31.622362] tveeprom 0-0050: TV standards NTSC(M) (eeprom 0x08)
[ 31.622364] tveeprom 0-0050: audio processor is MSP3445 (idx 12)
[ 31.622366] tveeprom 0-0050: decoder processor is SAA7115 (idx 19)
[ 31.622368] tveeprom 0-0050: has radio, has IR receiver, has no IR transmitter
[ 31.651679] tuner 0-0061: type set to 43 (Philips NTSC MK3 (FM1236MK3 or FM1236/F))
[ 31.774932] usb 3-2: configuration #1 chosen from 1 choice
[ 31.782870] drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 0 alt 0 proto 2 vid 0x043D pid 0x0052
[ 31.783575] msp3400 0-0040: MSP3445G-B8 rev1 = 0x0207 rev2 = 0x2d48
[ 31.783577] msp3400 0-0040: Audio: volume 65535
[ 31.783580] msp3400 0-0040: Audio: balance 0 bass 0 treble 0 loudness off
[ 31.783582] msp3400 0-0040: Standard: autodetect start (mono)
[ 31.783584] msp3400 0-0040: Audmode: 0x0001
[ 31.783586] msp3400 0-0040: Routing: 0x00000000 (input) 0x00000044 (output)
[ 31.783588] msp3400 0-0040: ACB: 0x0c00
[ 31.783591] saa7115 0-0021: Audio frequency: 48000 Hz
[ 31.785320] saa7115 0-0021: Input: Composite 4
[ 31.785322] saa7115 0-0021: Video signal: bad
[ 31.785324] saa7115 0-0021: Frequency: 60 Hz
[ 31.785325] saa7115 0-0021: Detected format: BW/No color
[ 31.785327] saa7115 0-0021: Width, Height: 720, 480
[ 31.785330] tda9887 0-0043: Data bytes: b=0x14 c=0x30 e=0x44
[ 31.785333] tuner 0-0061: Tuner mode: analog TV
[ 31.785335] tuner 0-0061: Frequency: 175.25 MHz
[ 31.785337] tuner 0-0061: Standard: 0x00000100
[ 31.785341] pvrusb2: Device initialization completed successfully.
[ 31.785355] pvrusb2: registered device video0 [mpeg]
[ 32.025278] usb 6-2: new full speed USB device using uhci_hcd and address 3
[ 32.209621] usb 6-2: configuration #1 chosen from 1 choice
[ 32.213590] ipaq 6-2:1.0: PocketPC PDA converter detected
[ 32.215706] usb 6-2: PocketPC PDA converter now attached to ttyUSB0
[ 32.456528] usb 5-2: new full speed USB device using uhci_hcd and address 10
[ 32.609562] usb 5-2: configuration #1 chosen from 1 choice
[ 32.612520] hub 5-2:1.0: USB hub found
[ 32.615468] hub 5-2:1.0: 4 ports detected
[ 32.952890] usb 5-2.1: new low speed USB device using uhci_hcd and address 11
[ 33.141648] usb 5-2.1: configuration #1 chosen from 1 choice
[ 33.175623] input: ATEN CS-1732A V3.4.331 as /class/input/input12
[ 33.175650] input: USB HID v1.00 Keyboard [ATEN CS-1732A V3.4.331] on usb-0000:00:1d.1-2.1
[ 33.206533] input: ATEN CS-1732A V3.4.331 as /class/input/input13
[ 33.206586] input: USB HID v1.00 Mouse [ATEN CS-1732A V3.4.331] on usb-0000:00:1d.1-2.1
[ 35.344356] tg3: eth0: Link is up at 1000 Mbps, full duplex.
[ 35.344360] tg3: eth0: Flow control is on for TX and on for RX.
[ 160.232421] pvrusb2: ***WARNING*** device's encoder appears to be stuck (status=000000003)
[ 160.232427] pvrusb2: Encoder command: 0x81
[ 160.232428] pvrusb2: Giving up waiting. It is likely that this is a bad idea...
[ 160.232432] pvrusb2: Error recovery initiated
[ 160.232433] pvrusb2: Retrying device reconfiguration
[ 638.286288] pvrusb2: ***WARNING*** device's encoder appears to be stuck (status=000000003)
[ 638.286293] pvrusb2: Encoder command: 0x81
[ 638.286295] pvrusb2: Giving up waiting. It is likely that this is a bad idea...
[ 638.286297] pvrusb2: Error recovery initiated
[ 638.286299] pvrusb2: Retrying device reconfiguration
[ 1058.794217] ACPI: PCI interrupt for device 0000:03:00.0 disabled
[ 1060.700303] PM: suspend-to-disk mode set to 'shutdown'
[ 1060.700449] Disabling non-boot CPUs ...
[ 1060.817596] CPU 1 is now offline
[ 1060.817601] SMP alternatives: switching to UP code
[ 1060.854439] CPU1 is down
[ 1060.854443] Stopping tasks ... done.
[ 1060.874447] Shrinking memory... -\|/done (37539 pages freed)
[ 1061.545855] Freed 150156 kbytes in 0.67 seconds (224.11 MB/s)
[ 1061.545858] Suspending console(s)
[ 1061.545862] usbhid 5-2.1:1.1: freeze
[ 1061.545865] usbhid 5-2.1:1.0: freeze
[ 1061.545867] usb 5-2.1: freeze
[ 1061.565350] hub 5-2:1.0: freeze
[ 1061.565353] usb 5-2: freeze
[ 1061.585313] ipaq 6-2:1.0: freeze
[ 1061.585315] usb 6-2: freeze
[ 1061.585317] ipaq 6-2:1.0: no suspend for driver ipaq?
[ 1061.601285] usblp 3-2:1.0: freeze
[ 1061.601286] usb 3-2: freeze
[ 1061.617257] tuner 0-0061: freeze
[ 1061.617259] tuner 0-0043: freeze
[ 1061.617261] saa7115 0-0021: freeze
[ 1061.617263] msp3400 0-0040: freeze
[ 1061.620350] tveeprom 0-0050: freeze
[ 1061.620352] hub 7-5:1.0: PM: suspend 2-->1
[ 1061.620354] hub 7-5:1.0: PM: suspend 2->1, parent 7-5 already 2
[ 1061.620357] usbdev7.12_ep00: PM: suspend 0->1, parent 7-5 already 2
[ 1061.620359] usb 7-5: PM: suspend 2-->1
[ 1061.620361] usb 7-5: PM: suspend 2->1, parent usb7 already 2
[ 1061.620364] pvrusb2 1-3:1.0: freeze
[ 1061.620366] usb 1-3: freeze
[ 1061.620368] pvrusb2 1-3:1.0: no suspend for driver pvrusb2?
[ 1061.637228] platform iTCO_wdt: freeze
[ 1061.637231] sr 1:0:0:0: freeze
[ 1061.637251] sd 0:0:0:0: freeze
[ 1061.637262] usbdev7.1_ep81: PM: suspend 0->1, parent 7-0:1.0 already 2
[ 1061.637264] hub 7-0:1.0: PM: suspend 2-->1
[ 1061.637266] hub 7-0:1.0: PM: suspend 2->1, parent usb7 already 2
[ 1061.637268] usbdev7.1_ep00: PM: suspend 0->1, parent usb7 already 2
[ 1061.637271] usb usb7: PM: suspend 2-->1
[ 1061.637273] hub 6-0:1.0: freeze
[ 1061.637274] usb usb6: freeze
[ 1061.637290] hub 5-0:1.0: freeze
[ 1061.637291] usb usb5: freeze
[ 1061.637306] usbdev4.1_ep81: PM: suspend 0->1, parent 4-0:1.0 already 2
[ 1061.637308] hub 4-0:1.0: PM: suspend 2-->1
[ 1061.637310] hub 4-0:1.0: PM: suspend 2->1, parent usb4 already 2
[ 1061.637312] usbdev4.1_ep00: PM: suspend 0->1, parent usb4 already 2
[ 1061.637314] usb usb4: PM: suspend 2-->1
[ 1061.637316] hub 3-0:1.0: freeze
[ 1061.637318] usb usb3: freeze
[ 1061.637332] usbdev2.1_ep81: PM: suspend 0->1, parent 2-0:1.0 already 2
[ 1061.637334] hub 2-0:1.0: PM: suspend 2-->1
[ 1061.637336] hub 2-0:1.0: PM: suspend 2->1, parent usb2 already 2
[ 1061.637338] usbdev2.1_ep00: PM: suspend 0->1, parent usb2 already 2
[ 1061.637340] usb usb2: PM: suspend 2-->1
[ 1061.637342] hub 1-0:1.0: freeze
[ 1061.637344] usb usb1: freeze
[ 1061.637358] platform vesafb.0: freeze
[ 1061.637361] platform eisa.0: freeze
[ 1061.637363] i8042 i8042: freeze
[ 1061.637426] serial8250 serial8250: freeze
[ 1061.637491] pci_express 0000:00:1c.4:pcie02: freeze
[ 1061.637493] pci_express 0000:00:1c.4:pcie00: freeze
[ 1061.637495] pci_express 0000:00:1c.0:pcie02: freeze
[ 1061.637497] pci_express 0000:00:1c.0:pcie00: freeze
[ 1061.637499] pci_express 0000:00:01.0:pcie00: freeze
[ 1061.637501] pcspkr pcspkr: freeze
[ 1061.637509] pnp 00:0a: freeze
[ 1061.637511] system 00:09: freeze
[ 1061.637512] system 00:08: freeze
[ 1061.637514] serial 00:07: freeze
[ 1061.641168] pnp: Device 00:07 disabled.
[ 1061.641171] parport_pc 00:06: freeze
[ 1061.643024] pnp: Device 00:06 disabled.
[ 1061.643026] pnp 00:05: freeze
[ 1061.643028] pnp 00:04: freeze
[ 1061.643029] pnp 00:03: freeze
[ 1061.643031] pnp 00:02: freeze
[ 1061.643032] system 00:01: freeze
[ 1061.643034] pnp 00:00: freeze
[ 1061.643036] pci 0000:03:00.0: freeze
[ 1061.643174] pci 0000:01:00.1: freeze
[ 1061.643211] fglrx_pci 0000:01:00.0: freeze
[ 1064.685925] [fglrx] firegl_gps_setpowerdown .
[ 1064.697786] ACPI: PCI interrupt for device 0000:01:00.0 disabled
[ 1064.697791] ata_piix 0000:00:1f.5: freeze
[ 1064.697861] ACPI: PCI interrupt for device 0000:00:1f.5 disabled
[ 1064.697863] pci 0000:00:1f.3: freeze
[ 1064.697882] ata_piix 0000:00:1f.2: freeze
[ 1064.697917] ata1: ACPI get timing mode failed.
[ 1064.698385] ACPI: PCI interrupt for device 0000:00:1f.2 disabled
[ 1064.698387] pci 0000:00:1f.0: freeze
[ 1064.698428] pci 0000:00:1e.0: freeze
[ 1064.698457] ehci_hcd 0000:00:1d.7: freeze
[ 1064.698509] ACPI: PCI interrupt for device 0000:00:1d.7 disabled
[ 1064.712079] uhci_hcd 0000:00:1d.2: freeze
[ 1064.712106] ACPI: PCI interrupt for device 0000:00:1d.2 disabled
[ 1064.712108] uhci_hcd 0000:00:1d.1: freeze
[ 1064.712135] ACPI: PCI interrupt for device 0000:00:1d.1 disabled
[ 1064.712137] uhci_hcd 0000:00:1d.0: freeze
[ 1064.712163] ACPI: PCI interrupt for device 0000:00:1d.0 disabled
[ 1064.712165] pcieport-driver 0000:00:1c.4: freeze
[ 1064.712214] pcieport-driver 0000:00:1c.0: freeze
[ 1064.712261] HDA Intel 0000:00:1b.0: freeze
[ 1064.716109] ACPI: PCI interrupt for device 0000:00:1b.0 disabled
[ 1064.732232] ehci_hcd 0000:00:1a.7: freeze
[ 1064.732285] ACPI: PCI interrupt for device 0000:00:1a.7 disabled
[ 1064.748360] uhci_hcd 0000:00:1a.1: freeze
[ 1064.748387] ACPI: PCI interrupt for device 0000:00:1a.1 disabled
[ 1064.748389] uhci_hcd 0000:00:1a.0: freeze
[ 1064.748415] ACPI: PCI interrupt for device 0000:00:1a.0 disabled
[ 1064.748418] pcieport-driver 0000:00:01.0: freeze
[ 1064.748452] agpgart-intel 0000:00:00.0: freeze
[ 1064.748472] acpi acpi: freeze
[ 1064.748481] PM: snapshotting memory.
[ 1064.748496] platform iTCO_wdt: LATE freeze
[ 1064.748503] platform vesafb.0: LATE freeze
[ 1064.748506] platform eisa.0: LATE freeze
[ 1064.748508] i8042 i8042: LATE freeze
[ 1064.748511] serial8250 serial8250: LATE freeze
[ 1064.748617] pcspkr pcspkr: LATE freeze
[ 1064.748623] pci 0000:03:00.0: LATE freeze
[ 1064.748625] pci 0000:01:00.1: LATE freeze
[ 1064.748627] pci 0000:00:1f.3: LATE freeze
[ 1064.748628] pci 0000:00:1f.0: LATE freeze
[ 1064.748630] pci 0000:00:1e.0: LATE freeze
[ 1064.748631] pcieport-driver 0000:00:1c.4: LATE freeze
[ 1064.748633] pcieport-driver 0000:00:1c.0: LATE freeze
[ 1064.748635] HDA Intel 0000:00:1b.0: LATE freeze
[ 1064.748637] pcieport-driver 0000:00:01.0: LATE freeze
[ 1064.748639] agpgart-intel 0000:00:00.0: LATE freeze
[ 1064.748745] swsusp: critical section:
[ 1064.783832] swsusp: Need to copy 127740 pages
[ 1064.783835] swsusp: Normal pages needed: 28353 + 1024 + 72, available pages: 201021
[ 26.486775] agpgart-intel 0000:00:00.0: EARLY resume
[ 26.486778] pcieport-driver 0000:00:01.0: EARLY resume
[ 26.486781] uhci_hcd 0000:00:1a.0: EARLY resume
[ 26.486782] uhci_hcd 0000:00:1a.1: EARLY resume
[ 26.486784] ehci_hcd 0000:00:1a.7: EARLY resume
[ 26.486786] HDA Intel 0000:00:1b.0: EARLY resume
[ 26.486787] pcieport-driver 0000:00:1c.0: EARLY resume
[ 26.486789] pcieport-driver 0000:00:1c.4: EARLY resume
[ 26.486790] uhci_hcd 0000:00:1d.0: EARLY resume
[ 26.486792] uhci_hcd 0000:00:1d.1: EARLY resume
[ 26.486793] uhci_hcd 0000:00:1d.2: EARLY resume
[ 26.486795] ehci_hcd 0000:00:1d.7: EARLY resume
[ 26.486797] pci 0000:00:1e.0: EARLY resume
[ 26.486798] pci 0000:00:1f.0: EARLY resume
[ 26.486800] ata_piix 0000:00:1f.2: EARLY resume
[ 26.486801] pci 0000:00:1f.3: EARLY resume
[ 26.486803] ata_piix 0000:00:1f.5: EARLY resume
[ 26.486805] fglrx_pci 0000:01:00.0: EARLY resume
[ 26.486806] pci 0000:01:00.1: EARLY resume
[ 26.486808] pci 0000:03:00.0: EARLY resume
[ 26.486811] pcspkr pcspkr: EARLY resume
[ 26.486857] serial8250 serial8250: EARLY resume
[ 26.486859] i8042 i8042: EARLY resume
[ 26.486861] platform eisa.0: EARLY resume
[ 26.486863] platform vesafb.0: EARLY resume
[ 26.486868] platform iTCO_wdt: EARLY resume
[ 26.486876] PM: Image restored successfully

hendrixski (hendrixski) wrote :

:-( next time please post your dmesg logs as a file.

I have a pvrusb2 as well and when I hibernate it just doesn't wake up, and I lent it to a friend who had the same issue on his computer(s?) so this issue has been reproduced.

Is this bug possibly related to Bug 105563 in hal (Ubuntu)? Because the USB just doesn't wake up a lot of the times.

Bug 118978 has regular old tuners. I think the problem here is that Ubuntu just sucks at waking things up from hibernate. period. And that really needs to be addressed.

Sorry about the posting format. I'll keep that in mind next time! I could
have swore that I truncated it.

I did read a conversation between some of the kernel developers regarding
this particular piece of hardware. Unfortunately Hauppauge provides very
little documentation which makes troubleshooting from a developer standpoint
very difficult. At least I can watch TV on it which works for me. If they
fix it in the future then that would be great!

I still don't understand how uninstalling/reinstalling the apps would affect
USB's decision to wake-up the device? but who knows.. Stranger things
have happened.

On 8/3/07, hendrixski <email address hidden> wrote:
>
> :-( next time please post your dmesg logs as a file.
>
> I have a pvrusb2 as well and when I hibernate it just doesn't wake up,
> and I lent it to a friend who had the same issue on his computer(s?) so
> this issue has been reproduced.
>
> Is this bug possibly related to Bug 105563 in hal (Ubuntu)? Because the
> USB just doesn't wake up a lot of the times.
>
> Bug 118978 has regular old tuners. I think the problem here is that
> Ubuntu just sucks at waking things up from hibernate. period. And that
> really needs to be addressed.
>
> --
> pvrusb2 unstable when hibernating/unplugging/reconnecting device
> https://bugs.launchpad.net/bugs/121666
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

description: updated
BanjoBoy (linux-bent-lykkebo) wrote :

The pvrusb2 DON'T work in linux-2.6.27 (Intrepid Ibex 8.10 Alpha5), see Bug #262927 <https://bugs.launchpad.net/ubuntu/+source/linux/+bug/262927>, but still no help!

See also Bug #270513 <https://bugs.launchpad.net/ubuntu/+source/linux/+bug/270513/+viewstatus>.

Thanks
BanjoBoy.

Changed in linux:
status: Incomplete → New

Hi BanjoBoy,

Can you comment, which specific kernel you are running e.g. attach the output of 'cat /proc/version_signature' . The bugs you reference seem to have had a fix applied. Thanks.

Changed in linux:
status: New → Incomplete
kernel-janitor (kernel-janitor) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers